Subject: Re: [PATCH v7 00/24] wfx: get out from the staging area

From: Kalle Valo <[email-masked]>
Date: Fri, 01 Oct 2021 15:42:13 +0300

Jerome Pouiller <[email-masked]> writes:

> From: Jérôme Pouiller <[email-masked]>
>
> Hello,
>
> I think the wfx driver is now mature enough to be accepted in the
> drivers/net/wireless directory.
>
> The firmware is now a part of the linux-firmware repository since relase
> 20210315[1]. It had taken a bit of time because I have worked with the legal
> department to simplify the redistribution terms of the firmware.
>
> [1]: https://lore.kernel.org/linux-firmware/2833354.gXvVfaC4I7@pc-42/
>
>
> As requested by Kalle[2], I send one file per patch. At the end, all the
> patches (or at least the patches 3 to 24) will be squashed (therefore, I
> didn't bother to write real commit messages).

I did another review of the driver and in general it looks pretty good.
The use of Apache license, PDS file format and the missing firmware
directory are the biggest issues I saw.

> v7:
>   - Update location of mmc-pwrseq-simple.txt (Rob)
>
> v6:
>   - Rebase on last staging-next (roughtly somewhere after the 5.15
>     merge window). So, this series include the patches from:
>       https://lore.kernel.org/netdev/[email-masked]/

BTW, it would be nice to know what commit id are you using from
staging-next, I prefer to also look at the full tree while I'm reviewing
the patches.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches